import os
def writetemp(rows, filename, delimiter):

	home = os.curdir                      
	if 'HOME' in os.environ:
		home = os.environ['HOME']
	elif os.name == 'posix':
		home = os.path.expanduser("~/")
	elif os.name == 'nt':
		if 'HOMEPATH' in os.environ and 'HOMEDRIVE' in os.environ:
			home = os.environ['HOMEDRIVE'] + os.environ['HOMEPATH']
	else:
		home = os.environ['HOMEPATH']

	fname = home + '/Desktop/' + filename
	f = open(fname,'w')

	if delimiter == '':
		delimiter = '\t'

	hrow = ''
	for i,r in enumerate(rows):
		trow = ''
		for k, v in r.iteritems():
			if i==0:
				hrow = hrow + str(k) + delimiter
			trow = trow + str(v) + delimiter
		if i==0:
			f.write(hrow[:-1 ] + '\n')
		f.write(trow[:-1] + '\n')
	f.close()
	return('File Saved')